package Item;
use strict;

sub new
{
    my $class = shift;
    my %args = @_;
    my $self = bless {
        name    => undef,
        price   => 0,
        photo   => undef,
        feature => undef,
        size    => undef,
    }, $class;
    $self->_initialize(%args);
    $self;
}

sub _initialize
{
    my $self = shift;
    my %args = @_;
    foreach my $name (keys %args) {
        if    ($name eq 'id')      { $self->id($args{$name}) }
        elsif ($name eq 'name')    { $self->name($args{$name}) }
        elsif ($name eq 'price')   { $self->price($args{$name}) }
        elsif ($name eq 'photo')   { $self->photo($args{$name}) }
        elsif ($name eq 'feature') { $self->feature($args{$name}) }
        elsif ($name eq 'size')    { $self->size($args{$name}) }
    }
    $self;
}

sub id
{
    my $self = shift;
    if (@_) { $self->{id} = shift }
    $self->{id};
}

sub name
{
    my $self = shift;
    if (@_) { $self->{name} = shift }
    $self->{name};
}

sub price
{
    my $self = shift;
    if (@_) { $self->{price} = shift }
    $self->{price};
}

sub photo
{
    my $self = shift;
    if (@_) { $self->{photo} = shift }
    $self->{photo};
}

sub feature
{
    my $self = shift;
    if (@_) { $self->{feature} = shift }
    $self->{feature};
}

sub size
{
    my $self = shift;
    if (@_) { $self->{size} = shift }
    $self->{size};
}

1;
__END__
