package Register;
use DBI;
use strict;

sub new
{
    my $class = shift;
    my $cart = shift;
    my $self = bless {
        handle => undef,
        state  => undef,
        items  => [],
    }, $class;
    $self->cart($cart);
    $self;
}


sub order
{
    my $self = shift;
    my %customer = @_;
    $self->_check_customer_info(%customer)
        or die "order: Wrang customer infomation";    

    my $handle = DBI->connect(
        'dbi:mysql:webapp', 'root', 'test', {
        RaiseError => 1,
      # AutoCommit => 0,
    });
    my $state = $handle->prepare(q{
        INSERT INTO order_info 
                    (session_id, item_id, item_name, item_price, address, name, phone)
             VALUES (?, ?, ?, ?, ?, ?, ?)
    });
    eval {
        my $session_id = $self->cart->id;
        foreach my $item ($self->cart->item) {
            $state->execute(
                $session_id,
                $item->id,
                $item->name,
                $item->price,
                $customer{Address},
                $customer{Name},
                $customer{Phone},
            );
        }
    };
    if ($@) {
        die "order: $@"
    }
    else {
      # $handle->commit;
        $handle->disconnect;
    }
    $self;
}

sub _check_customer_info
{
    my $self = shift;
    my %customer = @_;
    return undef unless defined $customer{Address};
    return undef unless defined $customer{Name};
    return undef unless defined $customer{Phone};
    return $self;
}


sub cart
{
    my $self = shift;
    if (@_) { $self->{cart} = shift }
    $self->{cart};
}
1;
__END__
